Bug 882051 - RFE: Stop button for Project-wide search & replace
RFE: Stop button for Project-wide search & replace
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
2.0
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Michelle Kim
Zanata-QA Mailling List
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-29 21:39 EST by Yuko Katabami
Modified: 2015-07-28 22:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 22:12:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yuko Katabami 2012-11-29 21:39:25 EST
Description of problem:
When accidently searched with a wrong keyword, there is currently no way to stop it. It would be useful if there is a stop button.

Version-Release number of selected component (if applicable): 2.0.2
 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Michelle Kim 2015-03-10 01:50:43 EDT
Hi Yuko

Is this still a issue? Or just apply to skynet projects? I will close this bug but please re-open it if it applies so any other projects. Thanks, Michelle
Comment 2 Yuko Katabami 2015-03-10 02:11:07 EDT
Hi Michelle, 

Thank you for your comment.
I am actually reopening this RFE.
This is not only applicable to pressgang/skynet projects. 
A search may take a long time, and if you enter a wrong keyword / phrase or want to change the keyword, you have to wait until the long search is finished. 

I think it would be better if we have a button to stop or zanata allows us to add a new keyword and restart the search before the previous search is completed.
Comment 3 Michelle Kim 2015-03-10 18:57:26 EDT
Hi Yuko,

Thanks for letting us know. I have tested against random project, but couldn't re-produce the issue of search taking a long time. Would you be able to give some example projects we can test against to do some proper stress testing of the search and replace feature? If it is taking longer than certain time period, we could take a look at adding the stop button as you requested. Thanks always for your help.
Comment 6 Damian Jansen 2015-07-13 20:20:42 EDT
Reassigned to PM
Comment 7 Zanata Migrator 2015-07-28 22:12:34 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-156

Note You need to log in before you can comment on or make changes to this bug.